Bug 492528 - Package perl-Crypt-DES_EDE3 seems not to be Required on Satellite 5.3.0, we might want to not ship it
Package perl-Crypt-DES_EDE3 seems not to be Required on Satellite 5.3.0, we m...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Shannon Hughes
Steve Salevan
:
Depends On: 492277
Blocks: 463876
  Show dependency treegraph
 
Reported: 2009-03-27 05:17 EDT by Tomas Lestach
Modified: 2009-09-10 14:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:54:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Lestach 2009-03-27 05:17:11 EDT
Description of problem:

In case the package perl-Convert-PEM will be recognized as redundant on Satellite 5.3.0 (BZ #492277) and will be removed from the compose, there will be another non-required package: perl-Crypt-DES_EDE3 to consider. Otherwise this BZ has no relevance.

Version-Release number of selected component (if applicable):

Satellite-5.3.0-RHEL5-re20090323.0 on i386
perl-Convert-PEM-0.06-7.el5.noarch
perl-Crypt-DES_EDE3-0.01-6.el5.noarch.rpm

How reproducible:

Deterministic. (After BZ #492277 is solved)

Steps to Reproduce:
1. Install Satellite 5.3.0 and remove perl-Convert-PEM package accoring to BZ #492277.
2. Run rpm -q perl-Crypt-DES_EDE3, check that the package perl-Crypt-DES_EDE3 is installed.
3. Run rpm -e perl-Crypt-DES_EDE3.
4. Run rpm -q perl-Crypt-DES_EDE3 again, check that it's now been removed.
  
Actual results:

Package perl-Crypt-DES_EDE3 is installed but it is not required by anything in the Satellite, so it can safely be removed.

Expected results:

Either the package should be Required by some other package, or it should not be on the compose.
Comment 1 Shannon Hughes 2009-03-30 10:55:02 EDT
request to remove this package from iso was sent to rel eng, ticket 38458
Comment 2 Shannon Hughes 2009-04-06 11:09:31 EDT
mass move to onqa
Comment 3 Steve Salevan 2009-04-08 12:43:04 EDT
# rpm -q perl-Tie-EncryptedHash
package perl-Tie-EncryptedHash is not installed
# rpm -q perl-Crypt-DES_EDE3
perl-Crypt-DES_EDE3-0.01-6.el5

perl-Crypt-DES_EDE3 is still present, and perl-Tie-EncryptedHash was removed,
so this unnecessary package redundancy still exists.

Moving to FAILS_QA, tested on 530-re20090403.2.
Comment 4 Shannon Hughes 2009-04-09 09:13:43 EDT
resubmitted ticket #39136 to remove these rpms from the sat 530 composes
Comment 5 Shannon Hughes 2009-04-13 11:57:10 EDT
mass move to onqa
Comment 6 Steve Salevan 2009-04-13 13:33:06 EDT
# rpm -q perl-Crypt-DES_EDE3
package perl-Crypt-DES_EDE3 is not installed

Moving to VERIFIED, tested on 530-re20090409.1.
Comment 7 Sayli Karmarkar 2009-08-09 23:59:15 EDT
[root@dhcp77-153 ~]# rpm -q perl-Crypt-DES_EDE3
package perl-Crypt-DES_EDE3 is not installed

Moving to release_pending.
Comment 8 Brandon Perkins 2009-09-10 14:54:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.